#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=carlsbad2.8_base.ps
projection=-JM16.0c+
region=-R-105.1/-104.5/32.1/32.8
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map carlsbad2.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    32.598  -104.636
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    32.566  -104.623
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    32.595  -104.644
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    32.602  -104.633
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    32.589  -104.659
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    32.600  -104.661
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    32.701  -104.610
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    32.604  -104.607
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    32.588  -104.616
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    32.585  -104.639
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    32.608  -104.600
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    32.637  -104.617
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    32.627  -104.632
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    32.636  -104.610
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    32.650  -104.616
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    32.645  -104.589
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    32.695  -104.613
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    32.533  -104.633
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    32.575  -104.658
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    32.576  -104.657
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    32.572  -104.660
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    32.575  -104.650
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    32.584  -104.654
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    32.641  -104.674
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    32.229  -104.951
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.598  -104.638
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.511  -104.450
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.568  -104.625
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.565  -104.347
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.594  -104.646
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.465  -104.572
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.600  -104.634
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.568  -104.591
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.588  -104.660
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.585  -104.576
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.601  -104.662
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.576  -104.631
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.701  -104.610
    32.701  -104.610
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.647  -104.539
    32.701  -104.610
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.603  -104.608
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.547  -104.481
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.588  -104.617
    32.588  -104.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.579  -104.515
    32.588  -104.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.585  -104.640
    32.585  -104.639
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.582  -104.505
    32.585  -104.639
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.608  -104.600
    32.608  -104.600
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.604  -104.499
    32.608  -104.600
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.637  -104.616
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.637  -104.400
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.627  -104.634
    32.627  -104.632
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.665  -104.535
    32.627  -104.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.633  -104.614
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.589  -104.549
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.649  -104.617
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.551  -104.577
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.646  -104.590
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.575  -104.617
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.687  -104.610
    32.695  -104.613
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.600  -104.563
    32.695  -104.613
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.533  -104.633
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.504  -104.596
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.575  -104.658
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.502  -104.607
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.576  -104.657
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.429  -104.645
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.572  -104.660
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.571  -104.613
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.575  -104.651
    32.575  -104.650
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.520  -104.586
    32.575  -104.650
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.585  -104.654
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.544  -104.607
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.639  -104.671
    32.641  -104.674
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.521  -104.659
    32.641  -104.674
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.228  -104.950
    32.229  -104.951
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.092  -104.909
    32.229  -104.951
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    32.598  -104.636   -40.925     1.535     1.881
    32.566  -104.623    -5.725     2.542     4.114
    32.595  -104.644   -57.756     1.696     2.513
    32.602  -104.633   -37.554     5.789     6.615
    32.589  -104.659   -26.592     1.878     2.354
    32.600  -104.661   -54.415     1.867     3.404
    32.701  -104.610   -52.485     1.850     2.719
    32.604  -104.607   -25.892     1.047     1.522
    32.588  -104.616   -36.455     1.000     2.059
    32.585  -104.639   -51.632     1.667     2.770
    32.608  -104.600   -58.336     2.098     3.867
    32.637  -104.617   -31.984     0.960     1.581
    32.627  -104.632   -18.582     1.797     4.164
    32.636  -104.610   -46.366     1.436     3.818
    32.650  -104.616   -47.891     1.700     4.840
    32.645  -104.589   -43.373     1.224     3.613
    32.695  -104.613   -30.253     3.616     4.987
    32.533  -104.633   -41.977     0.781     0.932
    32.575  -104.658   -44.333     0.686     0.841
    32.576  -104.657   -43.669     0.600     0.781
    32.572  -104.660   -51.716     0.810     1.022
    32.575  -104.650   -41.883     0.698     0.927
    32.584  -104.654   -69.335     0.980     1.176
    32.641  -104.674    61.798     2.147     5.199
    32.229  -104.951    65.661     1.602     2.983
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    32.182  -104.987    24.218     1.164     1.204
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    32.182  -104.964   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    32.182  -104.987     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    32.182  -104.987     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    32.137  -104.987   5 km
END
