#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=carlsbad2.8_dcal.ps
projection=-JM16.0c+
region=-R-107.2/-102.4/30.3/34.6
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration carlsbad2.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.598  -104.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.566  -104.623
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.595  -104.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.602  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.589  -104.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.473  -103.634
    32.600  -104.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.701  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.701  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.701  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.604  -104.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.588  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.588  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.588  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.585  -104.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.585  -104.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.585  -104.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.608  -104.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.608  -104.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.420  -103.990
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.413  -103.808
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.637  -104.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.627  -104.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.636  -104.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.650  -104.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.645  -104.589
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.695  -104.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.695  -104.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.062  -104.101
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.700  -105.454
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.700  -105.454
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.076  -105.523
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.076  -105.523
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.371  -104.971
    32.533  -104.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.110  -104.823
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.110  -104.823
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.062  -104.101
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.062  -104.101
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.076  -105.523
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.076  -105.523
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.371  -104.971
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.371  -104.971
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.012  -103.292
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.012  -103.292
    32.575  -104.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.659  -104.657
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.110  -104.823
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.110  -104.823
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.078  -104.165
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.078  -104.165
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.646  -104.020
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.700  -105.454
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.700  -105.454
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.076  -105.523
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.012  -103.292
    32.576  -104.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280  -104.717
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.272  -103.980
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.330  -105.365
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.676  -103.357
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.572  -104.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.575  -104.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.200  -104.364
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.264  -103.879
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.031  -103.867
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.584  -104.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.641  -104.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.641  -104.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.229  -104.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.698  -105.382
    32.229  -104.951
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    32.200  -104.364     0.300
    32.420  -103.990     0.300
    32.264  -103.879     0.300
    32.413  -103.808     0.300
    32.473  -103.634     0.300
    33.031  -103.867     0.300
    31.698  -105.382     0.300
    32.659  -104.657     0.300
    32.646  -104.020     0.300
    32.062  -104.101     0.300
    32.700  -105.454     0.300
    33.280  -104.717     0.300
    32.076  -105.523     0.300
    33.272  -103.980     0.300
    33.330  -105.365     0.300
    32.676  -103.357     0.300
    31.371  -104.971     0.300
    32.110  -104.823     0.300
    32.012  -103.292     0.300
    32.078  -104.165     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.598  -104.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.566  -104.623     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.595  -104.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.602  -104.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.589  -104.659     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.600  -104.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.701  -104.610     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.604  -104.607     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.588  -104.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.585  -104.639     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.608  -104.600     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.637  -104.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.627  -104.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.636  -104.610     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.650  -104.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.645  -104.589     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.695  -104.613     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.533  -104.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.575  -104.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.576  -104.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.572  -104.660     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.575  -104.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.584  -104.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.641  -104.674     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.229  -104.951     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    32.593  -104.646     0.000   222.000   222.000
    32.593  -104.646     0.000   444.000   444.000
END
